#!/usr/bin/python -tt
__requires__ = 'autoqa'

import sys
import os
sys.stdout = sys.stderr

import pkg_resources
pkg_resources.require("CherryPy<3.0")

os.environ['PYTHON_EGG_CACHE'] = '/var/www/.python-eggs'

import atexit
import cherrypy
import cherrypy._cpwsgi
import turbogears
import fedora.tg.util

if os.path.isdir("/usr/share/autoqa-israwhidebroken"):
    sys.path.append("/usr/share/autoqa-israwhidebroken")

turbogears.update_config(configfile=os.path.join('/etc', 'israwhidebroken.cfg'),
        modulename="israwhidebroken.config")
# This must always be off when used with mod_wsgi
turbogears.config.update({'global': {'autoreload.on': False}})

turbogears.startup.call_on_startup.append(fedora.tg.util.enable_csrf)

import israwhidebroken.controllers
cherrypy.root = israwhidebroken.controllers.Root()

if cherrypy.server.state == 0:
    atexit.register(cherrypy.server.stop)
    cherrypy.server.start(init_only=True, server_class=None)

application = cherrypy._cpwsgi.wsgiApp
