#
# Copyright 2010, Red Hat, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Author: Will Woods <wwoods@redhat.com>

import autoqa.util
from autotest_lib.client.bin import test, utils
from autotest_lib.client.bin.test_config import config_loader

class post_repo_update_test_class_name(test.test):
    version = 1 # increment if setup() changes

    def initialize(self, envrs, name, title, updateid, targettag, config):
        self.config = config_loader(config, self.tmpdir)
        # This is where you can look up more info about the package, e.g.:
        #import autoqa.koji_utils
        #koji = autoqa.koji_utils.SimpleKojiClientSession()
        #self.pkgurls = {}
        #for envr in envrs.split(','):
        #    self.pkgurls[envr] = koji.nvr_to_urls(envr)
        #URL of logs/results stored on autotest-server
        self.autotest_url = autoqa.util.make_autotest_url(self.config)

    def setup(self):
        # this is where you can install required packages and such, e.g.:
        #utils.system('yum -y install yum-utils')
        pass

    def run_once(self, envr, name, title, updateid, targettag, config):
        parentlist = ' '.split(parents)
        cmd = 'test_binary --url %s' % baseurl
        # You can get stuff from the [test] section of autoqa.conf like this
        email = self.config.get('test','result_email')
        if email:
            cmd += ' --email %s --subject %s' % (email, reponame)
        self.results = utils.system_output(cmd, retain_output=True)
