#
# hook.py
#
# Copyright 2009, Red Hat, Inc.
#
# GPLv2+ boilerplate goes here
#
# Author: Will Woods <wwoods@redhat.com>

import optparse

name = 'post-tree-compose'

def extend_parser(parser):
    '''Extend the given OptionParser object with settings for this hook.'''
    parser.set_usage('%%prog %s [options] TREEURL' % name)
    group = optparse.OptionGroup(parser, '%s options' % name)
    group.add_option('-n', '--name',
        help='Short, human-readable name for the repo under test')
    parser.add_option_group(group)
    return parser

def process_testlist(opts, args, testlist):
    return testlist

def process_testdata(opts, args, arch, **extra):
    '''Given an optparse.Values object and a list of args (as returned from
    OptionParser.parse_args()), return a dict containing the appropriate key=val
    pairs required by the autotest control file / test objects for this hook.'''
    testdata = {'url': args[0].replace('%a', arch),
                'treename': args[0]}
    if opts.name:
        testdata['treename'] = '%s-%s' % (opts.name, arch)
    return testdata
