#
# autoqa library - config settings
#
# Copyright 2009, Red Hat, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Author: Will Woods <wwoods@redhat.com>

import os.path

# Block size to use for reading/writing data files
BLOCKSIZE = 4096 # Sure why not.
# Scratch/tmp dir.
scratchdir = None
# Default directory for log files etc. Usually $scratchdir/log
logdir = None
# Default location for keyval data to be stored. Usually $scratchdir/keyval
keyvaldir = None
# Default location for tests to look for external data files / binaries
# (e.g. minimon, ks.cfg)
bindir = "."

def set_scratchdir(newscratchdir):
    '''sets config.scratchdir, config.logdir, and config.keyvaldir'''
    global scratchdir, logdir, keyvaldir
    scratchdir = newscratchdir
    logdir = os.path.join(newscratchdir,"log")
    keyvaldir = os.path.join(scratchdir,"keyval")
# Stupid default scratch dir. 
# XXX TODO: use mktemp?
set_scratchdir("/tmp/autoqa")

if __name__ == '__main__':
    print "logdir = %s" % logdir
